<?xml version="1.0" ?>

<container xmlns="http://symfony.com/schema/dic/services"
           xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
           xsi:schemaLocation="http://symfony.com/schema/dic/services http://symfony.com/schema/dic/services/services-1.0.xsd">
    <services>
        <service id="SwagGuidedShopping\Content\Appointment\Service\LastSeenProductsService">
            <argument type="service" id="SwagGuidedShopping\Content\Interaction\Service\InteractionService"/>
            <argument type="service" id="product.repository"/>
        </service>

        <service id="SwagGuidedShopping\Content\Appointment\SalesChannel\Collection\LastSeenProducts\LastSeenProductsRoute" public="true">
            <argument type="service" id="SwagGuidedShopping\Content\Appointment\Service\LastSeenProductsService"/>
        </service>
    </services>

</container>
